Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portlet
Class JspContentURL

    java.lang.Object
      com.bea.portlet.GenericURL
          com.bea.portlet.PostbackURL
              com.bea.portlet.WindowURL
                  com.bea.portlet.JspContentURL

All Implemented Interfaces
  Cloneable

    public class JspContentURL

extends WindowURL

The `JspContentURL` helps portlet using JspContent tag to change the contents of the window to another URL.

See Also
  `WindowURL`

Field Summary

Fields inherited from class com.bea.portlet.GenericURL
`COMMUNITY_ADMIN_FLAG_PARAM, COMMUNITY_DESKTOP, CONTROL_STATE_PARAM, CURRENT_PAGE, domain, DOMAIN, EVENT_NAME_PARAM, httpRequest, httpResponse, httpsDomain, LOADSTATE_PARAM, MODE_PARAM, PAGE_LABEL_PARAM, params, PATH, PORT, PORTLET_SUB_INSTANCE_ID, POSTBACK_PARAM, PREFIX, QUERY_STRING, SCHEME, SECURE_PORT, STATE_PARAM, TREE_OPTIMIZATION_PARAM, URL_COMPRESSION, WINDOW_LABEL_PARAM`

Constructor Summary
`protected` | `JspContentURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Constructs a JspContentURL.
`protected` | `JspContentURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String contentUri)` Constructs a JspContentURL.

Method Summary
`Object` | `clone()` Returns a deep copy.
`static JspContentURL` | `createJspContentURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse)` Returns a JspContentURL.
`static JspContentURL` | `createJspContentURL(HttpServletRequest httpRequest, HttpServletResponse httpResponse, String windowLabel)` Returns a JspContentURL.
`String` | `getContentUri()` Returns the content uri.
`void` | `setContentUri(String contentUri)` Sets the content URI.

Methods inherited from class com.bea.portlet.WindowURL
`createWindowURL, createWindowURL, getWindowLabel, getWindowMode, getWindowState, setWindowLabel, setWindowMode, setWindowState`

Methods inherited from class com.bea.portlet.PostbackURL
`createPostbackURL, toString`

Methods inherited from class com.bea.portlet.GenericURL
`addParameter, addParameter, addParameter, appendEnsureSeparator, appendEnsureSeparator, createGenericURL, createQueryString, createQueryStringBuilder, getContextualPath, getDomain, getEncodeSession, getParameter, getParameters, getPathPrefix, getPort, getResolvedTemplate, getScheme, getSecurePort, getTemplate, getUrlType, removeParameter, setContextualPath, setDomain, setEncodeSession, setForcedAmpForm, setPath, setPathPrefix, setPort, setScheme, setSecurePort, setTemplate, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JspContentURL

    protected JspContentURL(HttpServletRequest httpRequest,
                            HttpServletResponse httpResponse)

  Constructs a JspContentURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response

### JspContentURL

    protected JspContentURL(HttpServletRequest httpRequest,
                            HttpServletResponse httpResponse,
                            String contentUri)

  Constructs a JspContentURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `contentUri` - uri to jsp

Method Detail

### createJspContentURL

    public static JspContentURL createJspContentURL(HttpServletRequest httpRequest,
                                                    HttpServletResponse httpResponse)

  Returns a JspContentURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
  Returns
    WindowURL

### createJspContentURL

    public static JspContentURL createJspContentURL(HttpServletRequest httpRequest,
                                                    HttpServletResponse httpResponse,
                                                    String windowLabel)

  Returns a JspContentURL.

  Parameters
    `httpRequest` - HTTP request
    `httpResponse` - HTTP response
    `windowLabel` - window label
  Returns
    WindowURL

### setContentUri

    public void setContentUri(String contentUri)

  Sets the content URI.

  Parameters
    `contentUri` - content URI

### getContentUri

    public String getContentUri()

  Returns the content uri.

  Returns
    mode

### clone

    public Object clone()

  Returns a deep copy.

  Overrides:
    `clone` in class `WindowURL`
  Returns
    clone

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved